[gtk/ebassi/docs-ci-fix] Make sure to fail the CI on error




commit a5c6e1f9d21497cc7298ecff3f735898afee0f42
Author: Emmanuele Bassi <ebassi gnome org>
Date:   Thu Feb 3 10:18:33 2022 +0000

    Make sure to fail the CI on error
    
    We don't want to overwrite working docs if we fail to build
    the new ones.

 download-reference.sh | 2 +-
 prepare-docs.sh       | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)
---
diff --git a/download-reference.sh b/download-reference.sh
index 42eba4b5ee..19eae719b7 100755
--- a/download-reference.sh
+++ b/download-reference.sh
@@ -2,7 +2,7 @@
 
 REF="main"
 
-curl -L --output "$REF-docs.zip" 
"https://gitlab.gnome.org/GNOME/gtk/-/jobs/artifacts/$REF/download?job=reference";
+curl -L --output "$REF-docs.zip" 
"https://gitlab.gnome.org/GNOME/gtk/-/jobs/artifacts/$REF/download?job=reference"; || exit $?
 unzip -d "$REF-docs" "$REF-docs.zip"
 
 rm -f "$REF-docs.zip"
diff --git a/prepare-docs.sh b/prepare-docs.sh
index 52fed27e33..b358d2224f 100755
--- a/prepare-docs.sh
+++ b/prepare-docs.sh
@@ -2,8 +2,8 @@
 
 TARGET=$1
 
-meson setup  _build
-meson compile -C _build
+meson setup  _build || exit $?
+meson compile -C _build || exit $?
 
 mv _build/glib/glib/glib/ ${TARGET}/glib/
 mv _build/glib/gmodule/gmodule/ ${TARGET}/gmodule/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]